# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

stats_menu_item = items.MenuItem(
    # GENERAL
    _('Stats'), 
    reverse('admin:app_list', kwargs={'app_label': 'stats'}),
    children=[
        items.MenuItem(
            _('Stats'),
            '',
            children=[
                items.MenuItem(_('Add Stats'), reverse('admin:stats_stats_add',)), 
                items.MenuItem(_('Stats List'), reverse('admin:stats_stats_changelist',)),
            ]
        ),
    ]
)


register_menu(stats_menu_item, 'tre.stats')